Subject: Re: bug#39950: flatpack packages can't open external applications

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Mar 2020 20:24:08 +0100

Damien Cassou <[email-masked]> writes:

> Hi,
>
> when I install a flatpak package under Guix System, this package works
> but can't open external applications. This is a problem for some
> applications, e.g., Blender will never open your web browser.
>
> How to reproduce:
>
> $ guix install flatpak
>
> $ flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
>
> $ flatpak --user install flathub org.blender.Blender
>
> $ flatpak --user run org.blender.Blender
>
> In Blender, click on the Help menu in the menu bar and choose "User
> communities". This is supposed to open a web browser but no browser will
> pop up.
>
> When in bash, I can use xdg-open to open a web page without problem.

To my knowledge, Flatpak applications run in isolated containers and
thus have no visibility to the host system by default.  Maybe there are
some command-line arguments you can add to give it access to what it
needs to open a browser?

It seems to me there is little Guix can do about it without breaking the
containerization features of Flatpak.  WDYT?